Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1327511 - (justinrainbow/json-schema) Review Request: php-justinrainbow-json-schema - A library to validate a json schema
Review Request: php-justinrainbow-json-schema - A library to validate a json ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-15 05:37 EDT by Remi Collet
Modified: 2016-06-21 17:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-13 16:56:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (19.88 KB, text/plain)
2016-05-29 22:28 EDT, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (13.20 KB, text/plain)
2016-05-29 22:28 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (7.19 KB, text/plain)
2016-05-29 22:29 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2016-04-15 05:37:22 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/860d441931f00ed777e626899f61ae511b5a6b33/php/php-justinrainbow-json-schema/php-justinrainbow-json-schema.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-justinrainbow-json-schema-2.0.0-1.remi.src.rpm
Description: 
A PHP Implementation for validating JSON Structures against a given Schema.

The validate-json command is provided by the php-JsonSchema package
with the JsonSchema library version 1.x.

See http://json-schema.org/

Autoloader: /usr/share/php/JsonSchema2/autoload.php


Fedora Account System Username: remi
Comment 1 Remi Collet 2016-04-15 05:41:18 EDT
For now, all packages still use the v 1.x, so, only to prepare the future.

This package is designed to be installed beside php-JsonSchema 1.x (perhaps we could consider which one should provide the command).

This package have conditional stuff to obsoletes the old library, when it will not be used anymore.
Comment 2 Remi Collet 2016-04-15 08:41:42 EDT
Koji scatch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=13670257
Comment 6 Shawn Iwinski 2016-05-29 22:28 EDT
Created attachment 1162644 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.0 DB built May 03 2016 08:07:20 CEST
Comment 7 Shawn Iwinski 2016-05-29 22:28 EDT
Created attachment 1162645 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.0 DB built May 03 2016 08:07:20 CEST
Comment 8 Shawn Iwinski 2016-05-29 22:29 EDT
Created attachment 1162646 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1327511
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 9 Shawn Iwinski 2016-05-29 22:29:27 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.

===== APPROVED =====
Comment 10 Gwyn Ciesla 2016-05-30 12:11:27 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-justinrainbow-json-schema
Comment 11 Fedora Update System 2016-05-31 02:01:44 EDT
php-justinrainbow-json-schema-2.0.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-398e3384d4
Comment 12 Fedora Update System 2016-05-31 02:01:51 EDT
php-justinrainbow-json-schema-2.0.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ba31f25ade
Comment 13 Fedora Update System 2016-05-31 02:01:57 EDT
php-justinrainbow-json-schema-2.0.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b7a27e5732
Comment 14 Fedora Update System 2016-05-31 04:52:45 EDT
php-justinrainbow-json-schema-2.0.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ba31f25ade
Comment 15 Fedora Update System 2016-05-31 16:50:44 EDT
php-justinrainbow-json-schema-2.0.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b7a27e5732
Comment 16 Fedora Update System 2016-05-31 16:55:01 EDT
php-justinrainbow-json-schema-2.0.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-398e3384d4
Comment 17 Fedora Update System 2016-06-01 04:24:19 EDT
php-JsonSchema-1.6.1-3.fc24 php-justinrainbow-json-schema-2.0.4-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ba31f25ade
Comment 18 Fedora Update System 2016-06-02 05:01:54 EDT
php-JsonSchema-1.6.1-3.fc24, php-justinrainbow-json-schema-2.0.4-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ba31f25ade
Comment 19 Fedora Update System 2016-06-02 09:28:18 EDT
php-JsonSchema-1.6.1-3.fc24 php-justinrainbow-json-schema-2.0.5-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ba31f25ade
Comment 20 Fedora Update System 2016-06-02 09:31:27 EDT
php-justinrainbow-json-schema-2.0.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-398e3384d4
Comment 21 Fedora Update System 2016-06-02 09:31:44 EDT
php-justinrainbow-json-schema-2.0.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b7a27e5732
Comment 22 Fedora Update System 2016-06-03 05:27:55 EDT
php-JsonSchema-1.6.1-3.fc24, php-justinrainbow-json-schema-2.0.5-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ba31f25ade
Comment 23 Fedora Update System 2016-06-03 12:27:44 EDT
php-justinrainbow-json-schema-2.0.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-398e3384d4
Comment 24 Fedora Update System 2016-06-03 18:50:57 EDT
php-justinrainbow-json-schema-2.0.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b7a27e5732
Comment 25 Fedora Update System 2016-06-13 16:56:04 EDT
php-justinrainbow-json-schema-2.0.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2016-06-18 14:54:03 EDT
php-JsonSchema-1.6.1-3.fc24, php-justinrainbow-json-schema-2.0.5-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2016-06-21 17:49:40 EDT
php-justinrainbow-json-schema-2.0.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.